<dx-popup title="Order Changes" [(visible)]="isStateVisible" width='auto' height='auto' [position]="ds.popupPosition"
    titleTemplate="popupTitle" contentTemplate="popupContent">
    <div *dxTemplate="let item of 'popupTitle'">
        <div class="logo-small" style="float:left">
            <img src="assets/img/Logo1.png" style="width:25px; height:25px; display:block;" />
        </div>
        <h4>SO Number: {{ po.refNumber }}</h4>
    </div>
    <div *dxTemplate="let item of 'popupContent'">
        <dx-form [formData]='po'>
            <dxi-item itemType="group" caption="{{po.question}}">
                <dxi-item [visible]='po.isReschedule' [label]="{text: 'Reschedule date'}" dataField="rescheduleDate"
                    editorType="dxDateBox" [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%'}">
                    <dxi-validation-rule type="required"></dxi-validation-rule>
                </dxi-item>
                <dxi-item [visible]="po.type == 3 || po.type == -4 || po.type == -6" [label]="{text: 'Reason'}"
                    dataField="reason" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsMessages, width: 300, onValueChanged: onCommentsValChanged }"></dxi-item>
                <dxi-item [visible]="po.type == -6" [label]='{text: "Depot"}' dataField="depotName" editorType="dxSelectBox"
                    [editorOptions]="{ dataSource: dsDepot, width: 300 }"></dxi-item>
                <dxi-item [label]="{text: 'Comments'}" dataField="comments" editorType="dxTextArea" [editorOptions]="{ height: 50, width: 300, readOnly: ((po.type == 3 || po.type == -4) && isCommentsReadOnly) }"></dxi-item>
            </dxi-item>
        </dx-form>
        <div style="float: right;margin-bottom:20px;">
            <dx-button [text]='po.oktext' (onClick)='acceptClick()' type='success'></dx-button>
            <dx-button text='Cancel' (onClick)='cancelClick()' class='redTxt'></dx-button>
        </div>
    </div>
</dx-popup>